## Index

### Variables

- ONTID_CONTRACT

### Functions

- buildAddAttributeTx
- buildAddControlKeyTx
- buildAddRecoveryTx
- buildChangeRecoveryTx
- buildGetAttributesTx
- buildGetDDOTx
- buildGetPublicKeyStateTx
- buildGetPublicKeysTx
- buildRegIdWithAttributes
- buildRegisterOntidTx
- buildRemoveAttributeTx
- buildRemoveControlKeyTx

### Object literals

- ONTID_METHOD

## Variables

### Const ONTID_CONTRACT

ONTID_CONTRACT: "0000000000000000000000000000000000000003" = "0000000000000000000000000000000000000003"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:29

Address of ONT ID contract

## Functions

### buildAddAttributeTx

- buildAddAttributeTx(ontid: string, attributes: DDOAttribute[], publicKey: PublicKey, gasPrice: string, gasLimit: string): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:154

  Adds attributes to ONT ID.

  #### Parameters

  - ##### ontid: string

    User's ONT ID

  - ##### attributes: DDOAttribute[]

    Array of DDOAttributes

  - ##### publicKey: PublicKey

    User's public key

  - ##### gasPrice: string

    Gas price

  - ##### gasLimit: string

    Gas limit

  #### Returns Transaction

### buildAddControlKeyTx

- buildAddControlKeyTx(ontid: string, newPk: PublicKey, userKey: PublicKey | Address, gasPrice: string, gasLimit: string): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:272

  Adds a new public key to ONT ID.

  #### Parameters

  - ##### ontid: string

    User's ONT ID

  - ##### newPk: PublicKey

    New public key to be added

  - ##### userKey: PublicKey | Address

    User's public key or address

  - ##### gasPrice: string

    Gas price

  - ##### gasLimit: string

    Gas limit

  #### Returns Transaction

### buildAddRecoveryTx

- buildAddRecoveryTx(ontid: string, recovery: Address, publicKey: PublicKey, gasPrice: string, gasLimit: string): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:369

  Adds recovery address to ONT ID.

  #### Parameters

  - ##### ontid: string

    User's ONT ID

  - ##### recovery: Address

    Recovery address, must have not be set

  - ##### publicKey: PublicKey

    User's public key, must be user's existing public key

  - ##### gasPrice: string

    Gas price

  - ##### gasLimit: string

    Gas limit

  #### Returns Transaction

### buildChangeRecoveryTx

- buildChangeRecoveryTx(ontid: string, newrecovery: Address, oldrecovery: Address, gasPrice: string, gasLimit: string): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:398

  Changes recovery address of ONT ID.

  This contract call must be initiated by the original recovery address.

  #### Parameters

  - ##### ontid: string

    user's ONT ID

  - ##### newrecovery: Address

    New recovery address

  - ##### oldrecovery: Address

    Original recoevery address

  - ##### gasPrice: string

    Gas price

  - ##### gasLimit: string

    Gas limit

  #### Returns Transaction

### buildGetAttributesTx

- buildGetAttributesTx(ontid: string): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:227

  Queries attributes attached to ONT ID.

  #### Parameters

  - ##### ontid: string

    User's ONT ID

  #### Returns Transaction

### buildGetDDOTx

- buildGetDDOTx(ontid: string): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:249

  Queries Description Object of ONT ID(DDO).

  #### Parameters

  - ##### ontid: string

    User's ONT ID

  #### Returns Transaction

### buildGetPublicKeyStateTx

- buildGetPublicKeyStateTx(ontid: string, pkId: number): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:424

  Queries the state of the public key associated with ONT ID.

  #### Parameters

  - ##### ontid: string

    user's ONT ID

  - ##### pkId: number

    User's public key Id

  #### Returns Transaction

### buildGetPublicKeysTx

- buildGetPublicKeysTx(ontid: string): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:346

  Queries public keys attached to ONT ID.

  #### Parameters

  - ##### ontid: string

    User's ONT ID

  #### Returns Transaction

### buildRegIdWithAttributes

- buildRegIdWithAttributes(ontid: string, attributes: DDOAttribute[], publicKey: PublicKey, gasPrice: string, gasLimit: string): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:103

  Registers Identity with initial attributes.

  #### Parameters

  - ##### ontid: string

    User's ONT ID

  - ##### attributes: DDOAttribute[]

    Array of DDOAttributes

  - ##### publicKey: PublicKey

    User's public key

  - ##### gasPrice: string

    Gas price

  - ##### gasLimit: string

    Gas limit

  #### Returns Transaction

### buildRegisterOntidTx

- buildRegisterOntidTx(ontid: string, publicKey: PublicKey, gasPrice: string, gasLimit: string): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:59

  Registers Identity.

  GAS calculation: gasLimit * gasPrice is equal to the amount of gas consumed.

  #### Parameters

  - ##### ontid: string

    User's ONT ID

  - ##### publicKey: PublicKey

    Public key

  - ##### gasPrice: string

    Gas price

  - ##### gasLimit: string

    Gas limit

  #### Returns Transaction

### buildRemoveAttributeTx

- buildRemoveAttributeTx(ontid: string, key: string, publicKey: PublicKey, gasPrice: string, gasLimit: string): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:197

  Removes attribute from ONT ID.

  #### Parameters

  - ##### ontid: string

    User's ONT ID

  - ##### key: string

    Key of attribute to remove

  - ##### publicKey: PublicKey

    User's public key

  - ##### gasPrice: string

    Gas price

  - ##### gasLimit: string

    Gas limit

  #### Returns Transaction

### buildRemoveControlKeyTx

- buildRemoveControlKeyTx(ontid: string, pk2Remove: PublicKey, sender: PublicKey | Address, gasPrice: string, gasLimit: string): Transaction

- - Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:311

  Revokes a public key from ONT ID.

  #### Parameters

  - ##### ontid: string

    User's ONT ID

  - ##### pk2Remove: PublicKey

    Public key to be removed

  - ##### sender: PublicKey | Address

    User's public key or address

  - ##### gasPrice: string

    Gas price

  - ##### gasLimit: string

    Gas limit

  #### Returns Transaction

## Object literals

### Const ONTID_METHOD

ONTID_METHOD: object

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:34

Method names in ONT ID contract

### addAttributes

addAttributes: string = "addAttributes"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:37

### addKey

addKey: string = "addKey"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:41

### addRecovery

addRecovery: string = "addRecovery"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:44

### changeRecovery

changeRecovery: string = "changeRecovery"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:45

### getAttributes

getAttributes: string = "getAttributes"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:39

### getDDO

getDDO: string = "getDDO"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:40

### getKeyState

getKeyState: string = "getKeyState"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:46

### getPublicKeys

getPublicKeys: string = "getPublicKeys"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:43

### regIDWithAttributes

regIDWithAttributes: string = "regIDWithAttributes"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:36

### regIDWithPublicKey

regIDWithPublicKey: string = "regIDWithPublicKey"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:35

### removeAttribute

removeAttribute: string = "removeAttribute"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:38

### removeKey

removeKey: string = "removeKey"

- Defined in smartcontract/nativevm/ontidContractTxBuilder.ts:42

Generated using TypeDoc